Skip to content

Delete a chatbot

delete/delete-chatbot/{chatbotId}
Any keyDeletes

This API enables the deletion of a chatbot by specifying its ID. It removes the chatbot along with its associated data from the system, including training data, user monitoring data, conversations, leads information, etc. Exercise caution when using this deletion action, as all deleted sources are unrecoverable.

Path parameters

Required
chatbotIdstring
The unique identifier allocated to the chatbot.
Try it · DELETE /delete-chatbot/{chatbotId}
curl -X DELETE 'https://api.chat-data.com/api/v2/delete-chatbot/6650f1c2a9e4b83d2c7a1f05' \  -H "Authorization: Bearer $CHAT_DATA_API_KEY"
Loading…

Responses

The deletion was processed. The response is success even when a deletion of the same chatbot is already in progress.

Content type: application/json

FieldDescription
statusstringOne of: success.

Example

{  "status": "success"}

Last updated October 14, 2026